Bug 730457 - split up debuginfo package
Summary: split up debuginfo package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-13 06:36 UTC by Dave Jones
Modified: 2015-01-04 22:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-18 10:59:52 UTC


Attachments (Terms of Use)

Description Dave Jones 2011-08-13 06:36:08 UTC
every time I have some package that pulls in gcc-debuginfo as a dependancy, I have to wait for it to suck down and install a 129MB rpm.

the vast majority of this I never need, because the bulk of it is for the more obscure languages.

Maybe we could move the ~5800 java files to a gcc-java-debuginfo ?
and the ~1500 ada files to gcc-ada-debuginfo ? gcc-fortran-debuginfo ?

Seems that by doing this, the general case would just be a fifth of its current number of files installed.

Comment 1 Jakub Jelinek 2011-08-18 10:59:52 UTC
In rawhide/f16 the debuginfo is split already, gcc-base-debuginfo covers the commonly used libraries (libgcc, libstdc++, libgomp), gcc-debuginfo the rest.


Note You need to log in before you can comment on or make changes to this bug.